Groovy Documentation

## org.codehaus.groovy.transform
[Java] Class NotYetImplementedASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.AbstractASTTransformation
          org.codehaus.groovy.transform.NotYetImplementedASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class NotYetImplementedASTTransformation
    extends AbstractASTTransformation

Handles generation of code for the `@NotYetImplemented` annotation.

Authors:
  Dierk König
  Andre Steingress
  Ilinca V. Hallberg
  Björn Westlin

See Also:
  NotYetImplemented

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class AbstractASTTransformation
addError, checkNotInterface, getMemberList, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, tokenize

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Groovy Documentation